name: unicblue/social-media-wall
typeName: unicblue_socialmediawall
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: button_link
    type: Link
  -
    identifier: tx_hks_theme
    type: Select
    useExistingField: true
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
  -
    identifier: card_count
    type: Number
    translatable: false
    default: 4
    range:
      lower: 1
      upper: 16
  -
    identifier: container_id
    type: Text
    translatable: false
    default: social-wall-container
